Subject: [Sip] ambiguity regarding lifetime of temp-GRUU

From: "Jeroen van Bemmel" <[email-masked]>
Date: Fri, 16 Mar 2007 11:07:56 +0100

In gruu-12 section 4.2 it is stated: "The temporary GRUU will be valid for 
the duration of the registration"

There may be ambiguity in interpretation, as a registration refresh can be 
considered to extend the duration of the registration.

Propose to change the text to reflect that a temporary GRUU will be valid 
for the expiration time provided in the REGISTER 200-OK response (either as 
an 'expires' parameter on the same Contact header, or an Expires header)

Consequently, a UA cannot construct a temporary GRUU by itself, there are no 
"self-made temporary GRUUs". This should be made explicit in section 4.3

Regards,
Jeroen 
_______________________________________________
Sip mailing list  https://www1.ietf.org/mailman/listinfo/sip
This list is for NEW development of the core SIP Protocol
Use [email-masked] for questions on current sip
Use [email-masked] for new developments on the application of sip

---

From: Paul Kyzivat <[email-masked]>
Date: Fri, 16 Mar 2007 10:09:25 -0400

Jeroen van Bemmel wrote:
> In gruu-12 section 4.2 it is stated: "The temporary GRUU will be valid 
> for the duration of the registration"
>  
> There may be ambiguity in interpretation, as a registration refresh can 
> be considered to extend the duration of the registration.
>  
> Propose to change the text to reflect that a temporary GRUU will be 
> valid for the expiration time provided in the REGISTER 200-OK response 
> (either as an 'expires' parameter on the same Contact header, or an 
> Expires header)

The intent is that the temp gruu will remain valid for as long as the 
registration continues to be refreshed. I don't think that is what you 
are implying in your proposal above.

> Consequently, a UA cannot construct a temporary GRUU by itself, there 
> are no "self-made temporary GRUUs". This should be made explicit in 
> section 4.3
>  
> Regards,
> Jeroen
> 
> 
> ------------------------------------------------------------------------
>

---

From: "Jeroen van Bemmel" <[email-masked]>
Date: Fri, 16 Mar 2007 17:38:10 +0100

Paul,

Paul Kyzivat wrote:
> Jeroen van Bemmel wrote:
>> In gruu-12 section 4.2 it is stated: "The temporary GRUU will be
>> valid for the duration of the registration"
>>
>> There may be ambiguity in interpretation, as a registration refresh
>> can be considered to extend the duration of the registration.
>>
>> valid for the expiration time provided in the REGISTER 200-OK
>> response (either as an 'expires' parameter on the same Contact
>> header, or an Expires header)
>

And this is precisely the ambiguity I was pointing out: the algorithm in the 
annex includes the absolute expiration time of the temporary GRUU in string 
S, so it is easy to jump to a wrong conclusion. Suggest to add some text 
about the intent that temporary GRUUs remain valid across refreshes in 
section 4.2

Regards,
Jeroen

---

From: Jonathan Rosenberg <[email-masked]>
Date: Sun, 18 Mar 2007 19:57:44 -0400

inline.

Jeroen van Bemmel wrote:

> And this is precisely the ambiguity I was pointing out: the algorithm in 
> the annex includes the absolute expiration time of the temporary GRUU in 
> string S, so it is easy to jump to a wrong conclusion. 

Well, the text there states pretty clearly that the those times are 
there just to generate additional unique temp-gruu on each register 
refresh. So, I don't think its really ambiguous at all.

Suggest to add
> some text about the intent that temporary GRUUs remain valid across 
> refreshes in section 4.2

Fine. Added (that is, through refreshes) to this paragraph. This can go 
in with any other LC comments.

-Jonathan R.

-- 
Jonathan D. Rosenberg, Ph.D.                   600 Lanidex Plaza
Cisco Fellow                                   Parsippany, NJ 07054-2711
Cisco Systems
[email-masked]                              FAX:   (973) 952-5050
http://www.jdrosen.net                         PHONE: (973) 952-5000
http://www.cisco.com

---

From: Jonathan Rosenberg <[email-masked]>
Date: Sun, 18 Mar 2007 19:58:58 -0400

inline.

> are no "self-made temporary GRUUs". This should be made explicit in 

Sure it can. In fact, its easier to do this for self-made GRUU. You just 
create a gruu and then decide when to invalidate it. When its invalid 
you reject incoming requests to that gruu with a 404.

-Jonathan R.